## org.h2.command.dml
Class NoOperation

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.dml.NoOperation

    public class NoOperation

extends Prepared

Represents an empty statement or a statement that has no effect.

Field Summary

Fields inherited from class org.h2.command.Prepared
`headPos, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`NoOperation(Session session)`

Method Summary
`boolean` `isQuery()` Check if this object is a query.
`boolean` `isReadOnly()` Check if this command is read only.
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`LocalResult` `queryMeta()` Get an empty result set containing the meta data.
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, prepare, query, setCommand, setCurrentRowNumber, setHeadPos, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoOperation

    public NoOperation(Session session)

Method Detail

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### isQuery

    public boolean isQuery()

  Description copied from class: `Prepared`
  Check if this object is a query.

  Overrides:
    `isQuery` in class `Prepared`
  Returns:
    true if it is

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Specified by:
    `isTransactional` in class `Prepared`
  Returns:
    true if it is

### needRecompile

    public boolean needRecompile()

  Description copied from class: `Prepared`
  Check if the statement needs to be re-compiled.

  Overrides:
    `needRecompile` in class `Prepared`
  Returns:
    true if it must

### isReadOnly

    public boolean isReadOnly()

  Description copied from class: `Prepared`
  Check if this command is read only.

  Overrides:
    `isReadOnly` in class `Prepared`
  Returns:
    true if it is

### queryMeta

    public LocalResult queryMeta()

  Description copied from class: `Prepared`
  Get an empty result set containing the meta data.

  Specified by:
    `queryMeta` in class `Prepared`
  Returns:
    an empty result set